package com.tzld.piaoquan.longarticle.job;

import com.tzld.piaoquan.longarticle.service.local.impl.CoreServiceImpl;
import com.tzld.piaoquan.longarticle.utils.LarkRobotUtil;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class PlanAccountJob {

    @Autowired
    private CoreServiceImpl coreService;


    @XxlJob("initPlanAccountJob")
    public ReturnT<String> initPlanAccount(String param) {
        try {
            coreService.initPlanAccount();
        } catch (Exception e) {
            LarkRobotUtil.sendMessage("长文系统初始化异常，请及时查看，@薛一鸣");
            log.error("initPlanAccountJob error", e);
        }
        return ReturnT.SUCCESS;
    }

    @XxlJob("matchPlanAccountJob")
    public ReturnT<String> matchPlanAccount(String param) {
        try {
            coreService.matchContent();
        } catch (Exception e) {
            LarkRobotUtil.sendMessage("长文系统匹配异常，请及时查看，@薛一鸣");
            log.error("matchPlanAccountJob error", e);
        }
        return ReturnT.SUCCESS;
    }

    @XxlJob("corePlanAccountJob")
    public ReturnT<String> corePlanAccount(String param) {
        try {
            coreService.core();
        } catch (Exception e) {
            LarkRobotUtil.sendMessage("长文系统核心流程异常，请及时查看，@薛一鸣");
            log.error("corePlanAccountJob error", e);
        }
        return ReturnT.SUCCESS;
    }

    @XxlJob("getPushStatusJob")
    public ReturnT<String> getPushStatus(String param) {
        try {
            coreService.getPushStatus();
        } catch (Exception e) {
            LarkRobotUtil.sendMessage("长文系统获取结果异常，请及时查看，@薛一鸣");
            log.error("getPushStatusJob error", e);
        }
        return ReturnT.SUCCESS;
    }

}
